# PixmapCombo

## Name

PixmapCombo --

## Synopsis

    typedef     PixmapCombo;
    typedef     PixmapComboElement;
    GtkWidget*  pixmap_combo_new                (PixmapComboElement const *elements,
                                                 int ncols,
                                                 int nrows);
    void        pixmap_combo_select_pixmap      (PixmapCombo *combo,
                                                 int index);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBox
                         +----GtkHBox
                               +----MyGtkComboBox
                                     +----PixmapCombo

## Signal Prototypes

    "changed"   void        user_function      (PixmapCombo *pixmapcombo,
                                                gint arg1,
                                                gpointer user_data);

## Description

## Details

### PixmapCombo

    typedef struct {
    	GtkComboBox     combo_box;

    	/* Static information */
    	PixmapComboElement const *elements;
    	int cols, rows;
    	int num_elements;

    	/* State info */
    	int last_index;

    	/* Interface elements */
    	GtkWidget    *combo_table, *preview_button;
    	GtkWidget    *preview_pixmap;
    	GtkTooltips  *tool_tip;
    	GnomePixmap **pixmaps;
    } PixmapCombo;

### PixmapComboElement

    typedef struct {
    	char const *untranslated_tooltip;
    	char **xpm_data;
    	int  index;
    } PixmapComboElement;

### pixmap_combo_new ()

    GtkWidget*  pixmap_combo_new                (PixmapComboElement const *elements,
                                                 int ncols,
                                                 int nrows);

`elements` : |
`ncols` : |
`nrows` : |
Returns : |

### pixmap_combo_select_pixmap ()

    void        pixmap_combo_select_pixmap      (PixmapCombo *combo,
                                                 int index);

`combo` : |
`index` : |

## Signals

### The "changed" signal

    void        user_function                  (PixmapCombo *pixmapcombo,
                                                gint arg1,
                                                gpointer user_data);